Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.axis2.httpbinding
Class Messages

    java.lang.Object
      java.util.ResourceBundle
          org.apache.ode.utils.msg.MessageBundle
              org.apache.ode.axis2.httpbinding.Messages

    public class Messages

extends MessageBundle

Field Summary

Fields inherited from class java.util.ResourceBundle
`parent`

Constructor Summary
`Messages()`

Method Summary
`java.lang.String` | `msgHttpBindingNotUsed(javax.wsdl.Binding binding)`
`java.lang.String` | `msgInvalidContentType(javax.wsdl.Binding binding, javax.wsdl.BindingOperation operation)`
`java.lang.String` | `msgInvalidURIPattern()`
`java.lang.String` | `msgInvalidURIPattern(javax.wsdl.Binding binding, javax.wsdl.BindingOperation operation, java.lang.String locationUri)`
`java.lang.String` | `msgMimeMultipartRelatedUnsupported(javax.wsdl.Binding binding, javax.wsdl.BindingOperation operation)`
`java.lang.String` | `msgMissingVerb(javax.wsdl.Binding binding, javax.wsdl.BindingOperation operation)`
`java.lang.String` | `msgOnePartOnlyForOutput(javax.wsdl.Binding binding, javax.wsdl.BindingOperation operation)`
`java.lang.String` | `msgOnlySupportsUrlEncodedAndUrlreplacement(javax.wsdl.Binding binding, javax.wsdl.BindingOperation operation)`
`java.lang.String` | `msgSimpleTypeExpected(java.lang.String partName)`
`java.lang.String` | `msgUnsupportedContentType(javax.wsdl.Binding binding, javax.wsdl.BindingOperation operation)`
`java.lang.String` | `msgUnsupportedHttpMethod(javax.wsdl.Binding binding, java.lang.String verb)`

Methods inherited from class org.apache.ode.utils.msg.MessageBundle
`format, format, getKeys, getMessages, getMessages, handleGetObject, todo`

Methods inherited from class java.util.ResourceBundle
`getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Messages

    public Messages()

Method Detail

### msgMissingVerb

    public java.lang.String msgMissingVerb(javax.wsdl.Binding binding,
                                           javax.wsdl.BindingOperation operation)

### msgUnsupportedHttpMethod

    public java.lang.String msgUnsupportedHttpMethod(javax.wsdl.Binding binding,
                                                     java.lang.String verb)

### msgHttpBindingNotUsed

    public java.lang.String msgHttpBindingNotUsed(javax.wsdl.Binding binding)

### msgUnsupportedContentType

    public java.lang.String msgUnsupportedContentType(javax.wsdl.Binding binding,
                                                      javax.wsdl.BindingOperation operation)

### msgOnePartOnlyForOutput

    public java.lang.String msgOnePartOnlyForOutput(javax.wsdl.Binding binding,
                                                    javax.wsdl.BindingOperation operation)

### msgInvalidURIPattern

    public java.lang.String msgInvalidURIPattern()

### msgInvalidURIPattern

    public java.lang.String msgInvalidURIPattern(javax.wsdl.Binding binding,
                                                 javax.wsdl.BindingOperation operation,
                                                 java.lang.String locationUri)

### msgMimeMultipartRelatedUnsupported

    public java.lang.String msgMimeMultipartRelatedUnsupported(javax.wsdl.Binding binding,
                                                               javax.wsdl.BindingOperation operation)

### msgInvalidContentType

    public java.lang.String msgInvalidContentType(javax.wsdl.Binding binding,
                                                  javax.wsdl.BindingOperation operation)

### msgSimpleTypeExpected

    public java.lang.String msgSimpleTypeExpected(java.lang.String partName)

### msgOnlySupportsUrlEncodedAndUrlreplacement

    public java.lang.String msgOnlySupportsUrlEncodedAndUrlreplacement(javax.wsdl.Binding binding,
                                                                       javax.wsdl.BindingOperation operation)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD